---
title: "Mark notification as read"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Notifications

`PATCH /api/notifications/{workspaceId}/{notificationId}/read`

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Path parameters

- `workspaceId` (`patch/api/notifications/workspaceId/notificationId/read.path.workspaceId`; string, required) — Workspace ID
- `notificationId` (`patch/api/notifications/workspaceId/notificationId/read.path.notificationId`; string, required) — Notification ID

## Code samples

### cURL

```bash
curl --request PATCH \
  --url 'https://api.channelautomation.com/api/notifications/<workspaceId>/<notificationId>/read' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/notifications/<workspaceId>/<notificationId>/read';
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/notifications/<workspaceId>/<notificationId>/read"

headers = {"Authorization": "Bearer <token>"}

response = requests.patch(url, headers=headers)

print(response.text)
```

## Responses

### 200

Notification marked as read successfully

#### Example

```json
{
  "success": true,
  "message": "string"
}
```

- `success` (`patch/api/notifications/workspaceId/notificationId/read.response.200.success`; boolean, optional)
- `message` (`patch/api/notifications/workspaceId/notificationId/read.response.200.message`; string, optional)

### 404

Notification not found

### 500

Server error


Source: https://developer.channelautomations.com/api/patch-api-notifications-workspace-id-notification-id-read/index.md
